Bug 1120238 - Rubygem-Staypuft: Add flag to rhel-osp-installer to provides a way for unattended installation (--no-interactive).
Summary: Rubygem-Staypuft: Add flag to rhel-osp-installer to provides a way for unatte...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 6)
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ga
: 5.0 (RHEL 7)
Assignee: Marek Hulan
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 13:53 UTC by Omri Hochman
Modified: 2014-09-08 05:44 UTC (History)
4 users (show)

Fixed In Version: rhel-osp-installer-0.1.4-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-04 18:35:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:1003 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-04 22:31:07 UTC

Description Omri Hochman 2014-07-16 13:53:46 UTC
Rubygem-Staypuft: Add flag to rhel-osp-installer to provides a way for unattended installation (--no-interactive) . 


Description:
-------------
We need a way to run rhel-osp-installer in unattended mode, In order to  automate the staypuft testings, and get to the post installation stage.

currently if I replace the empty YAML files with files I took from installed environment,when I ran "rhel-osp-installer"  -->  Indeed it saved all the answers and that's a progress,  But I had to press "1" to proceed.. and we need to find a way to make it unattended.

Comment 2 Marek Hulan 2014-07-17 07:44:12 UTC
Released in 0.1.2-1

Comment 7 Alexander Chuzhoy 2014-08-01 17:14:18 UTC
Verified: rhel-osp-installer-0.1.6-5.el6ost.noarch


Note: The flag was added but the unattended run of rhel-osp-installer crashes - https://bugzilla.redhat.com/show_bug.cgi?id=1124545

Comment 8 errata-xmlrpc 2014-08-04 18:35:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-1003.html


Note You need to log in before you can comment on or make changes to this bug.